Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(25)

Issue 2736303002: ui/compositor: Enable image decode tasks in the UI compositor. (Closed)

Created:
8 months, 2 weeks ago by vmpstr
Modified:
8 months, 1 week ago
Reviewers:
danakj
CC:
chromium-reviews, Ian Vollick, jbauman+watch_chromium.org, piman+watch_chromium.org, kalyank, danakj+watch_chromium.org, cc-bugs_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

ui/compositor: Enable image decode tasks in the UI compositor. This patch is the first step to removing the flag from the codebase. The UI compositor is the only place that sets this to false, but it shouldn't hurt performance with or without the flag. In order to verify this, this patch only enables the flag. If the perf bots are happy with the change, we'll remove the flag altogether. R=danakj@chromium.org BUG=696864 Review-Url: https://codereview.chromium.org/2736303002 Cr-Commit-Position: refs/heads/master@{#457144} Committed: https://chromium.googlesource.com/chromium/src/+/979cc161d997ca6f73b6dfeecb7f2a225b1c8140

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+4 lines, -3 lines) Patch
M ui/compositor/compositor.cc View 1 chunk +4 lines, -3 lines 0 comments Download
Trybot results:  ios-simulator   linux_chromium_rel_ng   ios-device   ios-device-xcode-clang   mac_chromium_compile_dbg_ng   win_clang   mac_chromium_rel_ng   win_chromium_rel_ng   linux_chromium_tsan_rel_ng   win_chromium_x64_rel_ng   ios-simulator-xcode-clang   win_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   android_compile_dbg   android_cronet   linux_android_rel_ng   cast_shell_android   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   android_n5x_swarming_rel   android_clang_dbg_recipe   android_arm64_dbg_recipe   linux_chromium_rel_ng   linux_chromium_chromeos_ozone_rel_ng   android_arm64_dbg_recipe   chromeos_amd64-generic_chromium_compile_only_ng   ios-simulator-xcode-clang   chromium_presubmit   linux_chromium_chromeos_ozone_rel_ng   cast_shell_android   linux_chromium_asan_rel_ng   ios-simulator   linux_chromium_chromeos_rel_ng   win_chromium_x64_rel_ng   android_clang_dbg_recipe   ios-device-xcode-clang   android_cronet   win_chromium_compile_dbg_ng   ios-device   mac_chromium_compile_dbg_ng   win_chromium_rel_ng   mac_chromium_rel_ng   android_compile_dbg   chromeos_daisy_chromium_compile_only_ng   linux_android_rel_ng   android_n5x_swarming_rel   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   cast_shell_linux   linux_chromium_tsan_rel_ng   win_clang 

Messages

Total messages: 11 (5 generated)
vmpstr
Please take a look.
8 months, 2 weeks ago (2017-03-08 19:15:47 UTC) #1
danakj
LGTM
8 months, 2 weeks ago (2017-03-09 21:33:33 UTC) #2
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2736303002/1
8 months, 2 weeks ago (2017-03-09 21:34:03 UTC) #4
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/380536)
8 months, 2 weeks ago (2017-03-09 22:21:27 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2736303002/1
8 months, 1 week ago (2017-03-15 17:25:45 UTC) #8
commit-bot: I haz the power
8 months, 1 week ago (2017-03-15 18:22:59 UTC) #11
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/979cc161d997ca6f73b6dfeecb7f...

Powered by Google App Engine
This is Rietveld efc10ee0f